declare const _default: {
  "components": {
    "confirmationModal": {
      "defaultConfirm": "Confirm",
      "cancel": "Cancel"
    },
    "select": {
      "optionPlaceholder": "Select an option",
      "noOptions": "No options",
      "clear": "Clear"
    },
    "input": {
      "clear": "Clear"
    }
  },
  "importer": {
    "upload": "Upload",
    "uploadBlocked": "Your data has validation errors. Fix them before uploading.",
    "back": "Back",
    "loader": {
      "failed": "Something went wrong",
      "uploading": "Uploading",
      "success": "Success",
      "retry": "Try again",
      "backToPreview": "Back to edit"
    },
    "backToMappingConfirmation": {
      "title": "Are you sure?",
      "subTitle": "This will discard all changes made after the data was mapped",
      "confirmationText": "Yes, go back",
      "cancelText": "No, stay here"
    }
  },
  "uploader": {
    "uploadAFile": "Upload a file",
    "requiredColumns": "Required columns",
    "optionalColumns": "Optional columns",
    "requiredColumnsTooltip": "This column is required for the import",
    "optionalColumnsTooltip": "This column is optional for the import",
    "importerInformation": "Make sure your file includes all the required columns.",
    "dragAndDrop": "Drag and drop your file here",
    "maxFileSizeInBytes": "Limit {{size}}",
    "browseFiles": "Browse Files",
    "enterManually": "Or just manually enter your data"
  },
  "mapper": {
    "numberRowsImported": "{{count}} Rows Imported",
    "back": "Back",
    "confirm": "Confirm",
    "noData": "No preview data",
    "used": "Used",
    "unused": "Unused",
    "importedColumn": "Imported column",
    "destinationColumn": "Destination column",
    "dataPreview": "Data preview for {{csvHeader}}",
    "mappingsNotValid": "Please set all required mappings",
    "reviewAndConfirm": "Review and confirm each mapping"
  },
  "sheet": {
    "sheetTitle": "Uploaded data",
    "validationPassed": "All rows pass validation!",
    "removeConfirmationModalTitle": "Remove rows",
    "removeConfirmationModalConfirmationText": "Remove",
    "removeConfirmationModalSubTitle": "Are you sure you want to remove {{rowsCount}} rows?",
    "readOnly": "Read Only",
    "editTooltip": "Double click to edit",
    "all": "All",
    "valid": "Valid",
    "invalid": "Invalid",
    "filterByError": "Filter by error",
    "search": "Search",
    "removeRowsTooltip": "Remove rows",
    "removeRowsTooltipNoRowsSelected": "Please select at least one record in order to delete it",
    "addRowsTooltip": "Add a new row",
    "downloadSheetTooltip": "Download this sheet",
    "reset": "Start over",
    "resetTooltip": "Start over",
    "resetConfirmationModalTitle": "Start over",
    "resetConfirmationModalConfirmationText": "Start over",
    "resetConfirmationModalSubTitle": "Are you sure you want to start over? This will remove all data and reset the sheet to its initial state."
  },
  "validators": {
    "includes": "Value is not in the list of allowed values",
    "integer": "This is not a valid number",
    "multiIncludes": "This value is not valid",
    "regex": "This value is invalid",
    "required": "This value is required",
    "unique": "This value is not unique"
  },
  "importStatus": {
    "success": "Success",
    "importSuccessful": "Import successful",
    "importSuccessfulWithErrors": "Import successful with errors",
    "successDescription": "{{totalRecords}} records were processed in your import",
    "successDescriptionWithStats": "{{recordsImported}} out of {{totalRecords}} records were imported and are now available in your database",
    "error": "Error",
    "importFailed": "Import failed",
    "failedDescription": "An error occurred while importing your data. Please try again",
    "importDetails": "Import details",
    "importDetailsDescription": "Details about your recent data import",
    "fileInformation": "File information",
    "dataEnteredManually": "Data entered manually",
    "original": "Original",
    "processed": "Processed",
    "downloadProcessedData": "Download processed data",
    "importResults": "Import results",
    "totalRows": "{{totalRows}} rows",
    "status": "Status",
    "failed": "Failed",
    "dataImport": "Data import",
    "statisticsSkipped": "{{skipped}} skipped",
    "statisticsFailed": "{{failed}} failed",
    "statisticsImported": "{{imported}} imported",
    "continue": "Continue"
  }
}
;

export default _default;
